
// from: https://evileg.com/en/post/93/

#include "database.h"

DataBase::DataBase(QObject *parent) : QObject(parent)
{
     
}
     
DataBase::~DataBase()
{
     
}
     
void DataBase::connectToDataBase()
{
    this->openDataBase();
}

bool DataBase::openDataBase()
{
    QSettings settings(QSettings::IniFormat, QSettings::UserScope, "mbse", "bmsapp");

    settings.beginGroup("dbdev");
    qDebug() << settings.value("host").toString() << settings.value("port").toString() << settings.value("name").toString() << settings.value("user").toString() << settings.value("pass").toString();
    db = QSqlDatabase::addDatabase("QMYSQL");
    db.setHostName(settings.value("host").toString());
    db.setPort(settings.value("port").toInt());
    db.setDatabaseName(settings.value("name").toString());
    db.setUserName(settings.value("user").toString());
    db.setPassword(settings.value("pass").toString());
    settings.endGroup();

    if (db.open()) {
	qDebug() << "Database open success";
	return true;
    } else {
	qDebug() << "Database open failed";
	return false;
    }
}
     
void DataBase::closeDataBase()
{
    qDebug() << "Database close called";
    db.close();
}

